{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:entity_hurt_player",
      "conditions": {
        "damage": {
          "blocked": false,
          "source_entity": {
            "type": "minecraft:pufferfish"
          }
        }
      }
    }
  },
  "rewards": {
    "experience": 0,
    "function": "zzzzdonotuse:cadeyrn/pufferhit"
  }
}
